 ### About this sample

This sample application uses the ArcGIS Maps SDK for JavaScript ES modules (ESM), also referred to as [`@arcgis/core`](https://www.npmjs.com/package/@arcgis/core). It uses a lightweight build tool called [Vite.js](https://vitejs.dev/) to compile the application locally.

### Requirements

When building this sample locally, be sure your machine has Node.js, npm and a webserver for testing of production builds. Refer to the SDK's [ES Modules guide topic](https://developers.arcgis.com/javascript/latest/es-modules/#prerequisites) for more information.

When run in a browser tab using [StackBlitz](https://developer.stackblitz.com/guides/user-guide/what-is-stackblitz), this sample automatically installs the dependencies defined in the `package.json` file, then it builds and displays the app within the project window. Depending on your internet speed, browser and hardware capabilities this may take several minutes to install and load.

More information is available in the SDK's[ System Requirements](https://developers.arcgis.com/javascript/latest/system-requirements/) page and in the StackBlitz [Web Platform requirements](https://developer.stackblitz.com/platform/webcontainers/browser-support#web-platform-requirements) page.

#### Install locally

To install this sample locally, first [download](https://developer.stackblitz.com/guides/user-guide/general-faqs#what-are-the-deploy-options-available-on-stackblitz) the project from StackBlitz to your local machine by clicking the button underneath the project's Share dialogue on the top left of the page. Then run `npm install`. 

#### Run locally

After installing, run the sample locally in developer mode by using `npm run dev`. This will compile the application and launch it in a browser window.

### More information

For more information on using the ArGIS Maps SDK for JavaScript with ES modules: https://developers.arcgis.com/javascript/latest/es-modules/#additional-information. 

For more samples using a variety of frameworks and module bundlers: https://github.com/Esri/jsapi-resources/tree/main/esm-samples. 

For more information on using the ArGIS Maps SDK for JavaScript with TypeScript: https://developers.arcgis.com/javascript/latest/typescript-setup/. 

To learn more about Vite.js: https://vitejs.dev/guide/why.html. 
